SND_SOC_DAPM_ENABLE_(9)

NAME
snd_soc_dapm_enable_pin - enable pin.

SYNOPSIS

int snd_soc_dapm_enable_pin(struct snd_soc_dapm_context * dapm, const char * pin);

ARGUMENTS

dapm
    DAPM context

pin
    pin name

DESCRIPTION

Enables input/output pin and its parents or children widgets iff there is a valid audio route and active audio stream.

NOTE

snd_soc_dapm_sync needs to be called after this for DAPM to do any widget power switching.

COPYRIGHT